import 'dart:async';

import 'package:flutter/services.dart';

class JfFlutterFirstPlugin {
  static const MethodChannel _channel =
      const MethodChannel('jf_flutter_first_plugin');

  static Future<String> get platformVersion async {
    final String version = await _channel.invokeMethod('getPlatformVersion');
    return version;
  }

  /// 弹出 Toast
  static Future<void> showToast() async {
    await _channel.invokeMethod("showToast");
  }
}
